<fieldset>
	<legend><?= __('pv2_section_working_times') ?></legend>
	
	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body">
		<div class="inner long">
			<label for="available-24-7" class="option"><input id="available-24-7" type="checkbox" name="available_24_7" value="1"<?= $this->data['available_24_7'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_i_am_available_24_7') ?></span></label>
			<div id="n-e"><label for="night_escort" class="option"><input id="night_escort" type="checkbox" name="night_escort" value="1"<?= $this->data['night_escort'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_i_am_night_escort') ?></span></label></div>
			<span class="tip" title="<?= __('night_escort_help') ?>"></span>
			<div class="<?= $this->lang() ?>-btn-work-days-all btn-work-days-all top_margin"></div>
		</div>
		<div class="clear"></div>
		<div class="gray">
			<?= __('pv2_label_or') ?>
		</div>
		<div><span class="strong"><?= __('pv2_label_working_schedule') ?>:</span></div>
		<table class="work-times" id="times">
			<thead>
				<tr>
					<th><input id="selectall" type="checkbox" value="" /></th>
					<th><label for="selectall"><?= __('pv2_label_select_all') ?></label></th>
					<th class="spec"><span><?= __('pv2_label_from') ?></span></th>
					<th class="spec"><span><?= __('pv2_label_to') ?></span></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<? for ($j = 1; $j <= 7; $j++): ?>
				<? $chk = false; foreach ( $this->data['times'] as $time ) { if ( $time['day_index'] == $j ) { $chk = $time; break; } } ?>
				<tr class="work-times-disabled">
					<td><input id="day-<?= $j ?>" type="checkbox" name="day_index[<?= $j ?>]" value="1"<?= $chk ? ' checked="checked"' : '' ?> /></td>
					<td>
						<label for="day-<?= $j ?>">
							<?
								$day = $this->getWeekDay2($j);//date('l', mktime(null, null, null, null, $j - 1));
								$id = 'pv2_weekday_' . strtolower($day);
							?>
							<?= __($id) ?>
						</label>
					</td>
					<td>
						<select name="time_from[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 24; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_from'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>hrs</span>
						<select name="time_from_m[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 60; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_from_m'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>min</span>
					</td>
					<td>
						<select name="time_to[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 24; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_to'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>hrs</span>
						<select name="time_to_m[<?= $j ?>]" class="w6" disabled="disabled">
						<? for ($i = 0; $i < 60; $i ++): ?>
							<option value="<?= $i ?>"<?= $chk && $chk['time_to_m'] == $i ? ' selected="selected"' : '' ?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>&nbsp;&nbsp;</option>
						<? endfor; ?>
						</select>
						<span>min</span>
					</td>
					<td>	
						<label>
							<input type="checkbox" name="night_escorts[]" id="night_escort_<?=$j ?>" value="<?=$j ?>"  <?=!$this->data['night_escort'] && $chk && $time['night_escorts']==1 ? 'checked="checked" ' : '  '; ?> class="night_escort" <?= $this->data['night_escort'] || !$chk ? 'disabled="disabled"' : "" ?>   />
							<span>Night escort</span>
						</label>
					</td>
				</tr>
				<? endfor ?>
			</tbody>
		</table>

	</div>
</fieldset>

<fieldset id="vacation" class="vindent">
	<legend><?= $this->t('vacations') ?></legend>
	<div style="padding:10px 20px 20px 20px">
		<div class="fl" style="width:400px">
			<div class="divline" style="width: 380px">
				<p id="vac_error" style="color:red; margin:0">
					<?= isset($this->errors['vacation']) ? $this->errors['vacation'] : ''?>
				</p>
			</div>

			<? $d_f = $m_f = $y_f = $d_t = $m_t = $y_t = 0;
				if( $this->data['vac_date_from'] && $this->data['vac_date_to'] ){
					list($y_f,$m_f,$d_f) = explode('-',$this->data['vac_date_from']);
					list($y_t,$m_t,$d_t) = explode('-',$this->data['vac_date_to']);
				}
			?>

			<div class="divline fl" style="width: 380px">
				<span class="label"><?= $this->t('date_from') ?></span>
				<select name="vac_date_from_day" class="selectbox" style="width:50px" >
					<option value="0">----</option>
					<? for ( $i = 1; $i <= 31; $i++ ): ?>
					<option value="<?= $i ?>"<?= $d_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
					<? endfor; ?>
				</select>
				<span class="date-sep">/</span>
				<select name="vac_date_from_month" class="selectbox" style="width:60px">
					<option value="0">----</option>
					<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i); $month = date('M', $timestamp); ?>
					<option value="<?= $i ?>"<?= $m_f == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
					<? endfor; ?>
				</select>
				<span class="date-sep">/</span>
				<select name="vac_date_from_year" class="selectbox" style="width:70px">
					<option value="0">----</option>
					<? for ( $i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++ ): ?>
					<option value="<?= $i ?>"<?= $y_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
					<? endfor; ?>
				</select>
			</div>
			<div class="clear"></div>

			<div class="divline" style="width: 380px; margin-top: -15px;">
				<span class="label"><?= $this->t('date_to') ?></span>
				<select name="vac_date_to_day" class="selectbox" style="width:50px">
					<option value="0">----</option>
					<? for ( $i = 1; $i <= 31; $i++ ): ?>
					<option value="<?= $i ?>"<?= $d_t == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
					<? endfor; ?>
				</select>
				<span class="date-sep">/</span>
				<select name="vac_date_to_month" class="selectbox" style="width:60px">
					<option value="0">----</option>
					<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i); $month = date('M', $timestamp); ?>
					<option value="<?= $i ?>"<?= $m_t == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
					<? endfor; ?>
				</select>
				<span class="date-sep">/</span>
				<select name="vac_date_to_year" class="selectbox" style="width:70px">
					<option value="0">----</option>
					<? for ( $i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++ ): ?>
					<option value="<?= $i ?>"<?= $y_t == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
					<? endfor; ?>
				</select>
			</div>
			<div class="clear"></div>
		</div>
		<div id="curr_vacation"  <?= ( $this->data['vac_date_from'] && $this->data['vac_date_to'] && !isset($this->errors['vacation'])) ? '' : 'style = "display:none"' ?> >
			<p><?= $this->profile->showname ?> is on vacation <span class="strong">from <span id="curr_date_from"><?= date("d M Y", strtotime($this->data['vac_date_from'])); ?></span> to <span id="curr_date_to"><?= date("d M Y", strtotime($this->data['vac_date_to'])) ?></span></span></p>
			<input class="" type="button" name="return-from-vacation" value="<?= $this->t('vacations_return') ?>" />
		</div>
		<div class="clear"></div>
		
	</div>
</fieldset>

<script type="text/javascript">

		$$('input[name=return-from-vacation]')[0].addEvent('click', function() {
			<?php
				if ( $this->escort_id)
					$escort_id = "?escort_id=" . $this->escort_id;
				else
					$escort_id = '';
			?>

			new Request({
				url: '/<?= $this->lang() ?>/private/ajax-return-from-vacation' + '<?= $escort_id ?>',
				method: 'get',
				onSuccess: function (resp) {
					$$('select[name ^= vac_date]').set('value',0);
					var myFx = new Fx.Tween($('curr_vacation'), {
						duration: 400,
						onComplete: function() {
							$('curr_vacation').setStyle('display', 'none');
						}
					});

					myFx.start('opacity', 1, 0);
				}
			}).send();
		});
	
	$('available-24-7').addEvent('change', function () {
		this.blur();
		var disable = ! this.get('checked') ? null : 'disabled';
		var enable = ! disable;

		$('times')[(disable ? 'add' : 'remove') + 'Class']('work-times-disabled').getElements('input, select').set('disabled', disable);
		$('night_escort').set('disabled', enable);
		$('n-e')[(enable ? 'add' : 'remove') + 'Class']('work-times-disabled').getElements('input, select').set('disabled', enable);
		
		if ( ! disable ) {
			$$('.work-times tbody input').fireEvent('change');
		}
	});

	$$('.work-times tbody input[name^=day_]').addEvent('change', function () {
		this.blur();
		var disable = this.get('checked') ? null : 'disabled';
		var tr = this.getParent('tr')[(disable ? 'add' : 'remove') + 'Class']('work-times-disabled');
		tr.getElements('select').set('disabled', disable);
		this.getParent('tr').getElement('input.night_escort').set('disabled', disable);
	});

	$('selectall').addEvent('change', function () {
		this.blur();
		var flag = this.get('checked') ? true : false;
		$$('.work-times tbody input').set('checked', flag ? 'checked' : '').fireEvent('change');
	});

	$$('.btn-work-days-all').addEvent('click', function () {
		var selects = $('times').getElements('select');

		$$('.work-times tbody input').each(function (el) {
			if ( el.get('checked') ) {
				el.getParent('tr').getElements('select').each(function (sel, i) {
					sel.set('value', selects[i].getSelected()[0].get('value')).getParent('td').highlight();
				});
			}
		});
	});

	$('available-24-7').fireEvent('change');
</script>
